body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Open Sans", sans-serif;
}

.container {
  width: 100%;
  min-height: 100vh;
  background-color: black;
  background-image: url("./bg.jpg");
  background-repeat: no-repeat;
  background-size: cover;
}

.game-container {
  max-width: 600px;
  margin: 0 auto;
  height: 100%;
}
.game-start,
.game-level,
.game-play {
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}
#gameLevel,
#gameStart,
#gameUserName,
#gameUserEmail {
  height: 100vh;
}
#gameLevel,
#gamePlay,
#gameUserName,
#gameUserEmail,
#gameHighScore {
  display: none;
}

.game-container h1 {
  background-color: #ee9617;
  background-image: linear-gradient(315deg, #ee9617 0%, #fe5858 74%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  margin: 0.5em;
  font-size: 3rem;
}

.game-container h2 {
  color: #fe5858;
  font-size: 2.5rem;
}

.game-container h3 {
  color: #ee9617;
  margin: 0.5em;
  font-size: 2rem;
}
.game-container h4 {
  color: #fe5858;
  margin: 0.5em;
}
#level {
  min-width: 150px;
}
.enterBtn {
  padding: 0.5em;
  width: 100px;
  border: 1px #ee9617 solid;
  border-radius: 8px;
  color: #fe5858;
  background: transparent;
  animation: shake 0.5s linear infinite;
  cursor: pointer;
}

.enterBtn:hover {
  background-color: #ee9617;
  color: black;
  background-image: linear-gradient(315deg, #fe5858 0%, #ee9617 74%);
}

.gameLevel span {
  color: white;
  display: block;
}
#restartBtn {
  padding: 0.5em;
  width: 100px;
  border: 1px #ee9617 solid;
  border-radius: 8px;
  color: #fe5858;
  background: transparent;
  cursor: pointer;
}

.modal,
.modal2 {
  position: fixed;
  top: 0;
  left: 0;
  border-color: transparent;
  width: 100%;
  display: none;
}
.modal-body {
  height: 100vh;
  max-width: 400px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin: 0 auto;
}
.modal-body div {
  background-color: white;
  padding: 2em;
  text-align: center;
  margin: 0 1em;
  border-radius: 5px;
}

.modal-body div span {
  font-size: 1.5rem;
  color: grey;
  float: right;
  cursor: pointer;
}

.modal-body div h2 {
  margin: 1em;
}

.modal-body div button {
  color: black;
  border: none;
  padding: 0.5em 1.5em;
  border-radius: 5px;
  cursor: pointer;
}
#restartYes,
#restart {
  background-color: green;
}
#restartNo,
#close,
#scoreBoard {
  background-color: red;
}

.modal3 {
  position: fixed;
  top: 0;
  left: 0;
  border-color: transparent;
  width: 100%;
  color: green;
  font-size: 0.5rem;
  display: none;
}

.modal3 .modal-body {
  justify-content: start;
}

.game-board {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-auto-rows: 1fr;
  justify-content: center;
  margin: 1.5em;
}

.game-board div {
  border: 1px solid black;
  min-width: 3em;
  height: 4em;
  margin: 5px;
  display: inline-block;
  background-color: #ee9617;
  background-image: linear-gradient(315deg, #fe5858 0%, #ee9617 74%);

  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  border-radius: 8px;
}

#loader {
  width: 2rem;
  height: 2rem;
  border: 5px solid #fe5858;
  border-top: 6px solid #ee9617;
  border-radius: 100%;
  margin: 0.5em auto;
  visibility: hidden;
  animation: spin 1s infinite linear;
}
.game-score-board {
  color: #ee9617;
  margin-top: 2em;
}
#gameHighScore div {
  overflow-x: auto;
  margin-left: 0.5em;
  margin-right: 0.5em;
}
table,
th,
td {
  border: 1px solid white;
  border-collapse: collapse;
}
th,
td {
  padding: 5px;
}
table tr:nth-child(even) {
  background-color: #fe5858;
  color: white;
}
table tr:nth-child(odd) {
  background-color: #ee9617;
  color: white;
}
table th {
  background-color: black;
  color: white;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@keyframes shake {
  0% {
    transform: rotate(5deg);
  }
  20% {
    transform: rotate(-5deg);
  }
  40% {
    transform: rotate(5deg);
  }
  60% {
    transform: rotate(-5deg);
  }
  80% {
    transform: rotate(5deg);
  }
  100% {
    transform: rotate(-5deg);
  }
}
